Subject: bug#53749: 29.0.50; [PATCH] Xref backend for TeX buffers

From: Stefan Monnier <[email-masked]>
Date: Mon, 22 Apr 2024 12:15:09 -0400

> auto-mode-alist. When both fail to produce any file extensions it
> tells the user to customize semantic-symref-filepattern-alist.

Yes, this is not ideal.

I think ideally we'd build a regexp from `auto-mode-alist` and
`major-mode-remap-alist/defaults`, tho it may require additional info.

E.g. we may need to complement that with additional "related modes"
(e.g. html modes may want to mention `php-mode` as "related").

        Stefan